Package com.fasterxml.jackson.annotation

# Annotation Type JsonRawValue

@Target({ANNOTATION_TYPE,METHOD,FIELD}) @Retention(RUNTIME) public @interface JsonRawValue
Marker annotation that indicates that the annotated method or field should be serialized by including literal String value of the property as is, without quoting of characters. This can be useful for injecting values already serialized in JSON or passing javascript function definitions from server to a javascript client.

Warning: the resulting JSON stream may be invalid depending on your input value.

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`boolean`
`value`
Optional argument that defines whether this annotation is active or not.

## Element Details

### value

boolean value
Optional argument that defines whether this annotation is active or not. The only use for value 'false' if for overriding purposes (which is not needed often); most likely it is needed for use with "mix-in annotations" (aka "annotation overrides"). For most cases, however, default value of "true" is just fine and should be omitted.

Default:
  `true`